/*
 * Project Name MFC DRIVER IN WINCE
 * Copyright  2009 Samsung Electronics Co, Ltd. All Rights Reserved.
 *
 * This file implements MFC driver.
 *
 * @name MFC DRIVER Module (MfcPower.h)
 * @author Jiyoung Shin (idon.shin@samsung.com)
 * @date 2009/06/05
 */

#ifndef __SAMSUNG_SYSLSI_APDEV_MFC_PWR_MGMT_H__
#define __SAMSUNG_SYSLSI_APDEV_MFC_PWR_MGMT_H__
#include <pmplatform.h>

#define JPG_POWER_ON        1
#define JPG_POWER_OFF       0
#define JPG_CLK_ON          1
#define JPG_CLK_OFF         0

#ifdef __cplusplus
extern "C" {
#endif

BOOL JPGPowerInit();
BOOL JPGPowerOnOff(int on_off);
BOOL JPGClockOnOff(int on_off);

#ifdef BSP_USEDVFS
BOOL JPGDvfsSetLevelFix();
BOOL JPGDvfsClearLevelFix();
#endif

#ifdef __cplusplus
}
#endif
#endif /* __SAMSUNG_SYSLSI_APDEV_MFC_PWR_MGMT_H__ */
